/* Global CSS for Matcha */
@import url('https://fonts.googleapis.com/css?family=Nunito+Sans:400,700&display=swap');

:root {
  --color-primary: rgb(253, 40, 124);
  --color-secondary: rgb(117, 117, 117);
  --color-dark: rgb(66, 66, 66);
  --color-orange: rgb(255, 118, 85);
  --color-light-gray: rgb(230, 233, 237);
  --color-muted: rgb(200, 200, 200);
  --color-pink: rgb(253, 80, 104);
  --color-green: rgb(66, 185, 131);
}

* { box-sizing: border-box; outline: 0 !important; }

body, html {
  width: 100%;
  min-height: 100%;
  height: 1px;
  margin: 0;
  padding: 0;
}

.text-muted     { color: var(--color-muted) !important; }
.text-white     { color: white !important; }
.text-dark      { color: var(--color-dark) !important; }
.text-secondary { color: var(--color-secondary) !important; }
.text-pink      { color: var(--color-pink) !important; }
.text-black     { color: #2c3e50 !important; }

.text-small   { font-size: small; }
.text-smaller { font-size: smaller; }
.text-large   { font-size: large; }
.text-larger  { font-size: larger; }

.text-center  { text-align: center; }
.text-left    { text-align: left; }
.text-right   { text-align: right; }
.text-justify { text-align: justify; }

.text-regular { font-weight: normal; }
.text-bold    { font-weight: bold; }
.text-bolder  { font-weight: bolder; }
.text-thin    { font-weight: 300; }
.text-thinner { font-weight: 100; }

.text-nodec   { text-decoration: none; }

.pointer      { cursor: pointer; }

.w-100  { width: 100%; }
.w-75   { width: 75%; }
.w-50   { width: 50%; }
.w-25   { width: 25%; }
.w-0    { width: 0; }

.h-100  { height: 100%; }
.h-75   { height: 75%; }
.h-50   { height: 50%; }
.h-25   { height: 25%; }
.h-0    { height: 0; }

.max-w-100  { max-width: 100%; }

.min-h-100     { min-height: 100%; }
.min-h-100f    { height: 1px; min-height: 100%; }
.min-h-content { min-height: min-content; }

.d-flex, .row, .col { display: flex; }
.d-block  { display: block; }
.d-inline { display: inline; }
.d-table  { display: table; }
.d-none { display: none; }

.flex-col, .col { flex-direction: column !important; }
.flex-row, .row { flex-direction: row !important; }
.flex-rcol  { flex-direction: column-reverse !important; }
.flex-rrow  { flex-direction: row-reverse !important; }

.flex-0          { flex: 0; }
.flex-1          { flex: 1; }
.flex-noshrink   { flex-shrink: 0; }
.flex-nogrow     { flex-grow: 0; }
.flex-ai-center  { align-items: center; }
.flex-ai-start   { align-items: flex-start; }
.flex-ai-end     { align-items: flex-end; }
.flex-ai-stretch { align-items: stretch; }
.flex-jc-center  { justify-content: center; }
.flex-jc-start   { justify-content: flex-start; }
.flex-jc-end     { justify-content: flex-end; }
.flex-jc-stretch { justify-content: stretch; }

.flex-as-center   { align-self: center; }
.flex-as-start    { align-self: flex-start; }
.flex-as-end      { align-self: flex-end; }
.flex-as-stretch  { align-self: stretch; }

.flex-js-center   { justify-self: center; }
.flex-js-start    { justify-self: flex-start; }
.flex-js-end      { justify-self: flex-end; }
.flex-js-stretch  { justify-self: stretch; }

.flex-wrap    { flex-wrap: wrap; }
.flex-nowrap  { flex-wrap: nowrap; }

.p-0 { padding: 0em !important; }
.p-1 { padding: 0.5em !important; }
.p-2 { padding: 1em !important; }
.p-3 { padding: 1.25em !important; }
.p-4 { padding: 1.5em !important; }
.p-5 { padding: 2em !important; }

.pl-0, .ph-0 { padding-left: 0em !important; }
.pl-1, .ph-1 { padding-left: 0.5em !important; }
.pl-2, .ph-2 { padding-left: 1em !important; }
.pl-3, .ph-3 { padding-left: 1.25em !important; }
.pl-4, .ph-4 { padding-left: 1.5em !important; }
.pl-5, .ph-5 { padding-left: 2em !important; }

.pr-0, .ph-0 { padding-right: 0em !important; }
.pr-1, .ph-1 { padding-right: 0.5em !important; }
.pr-2, .ph-2 { padding-right: 1em !important; }
.pr-3, .ph-3 { padding-right: 1.25em !important; }
.pr-4, .ph-4 { padding-right: 1.5em !important; }
.pr-5, .ph-5 { padding-right: 2em !important; }

.pb-0, .pv-0 { padding-bottom: 0em !important; }
.pb-1, .pv-1 { padding-bottom: 0.5em !important; }
.pb-2, .pv-2 { padding-bottom: 1em !important; }
.pb-3, .pv-3 { padding-bottom: 1.25em !important; }
.pb-4, .pv-4 { padding-bottom: 1.5em !important; }
.pb-5, .pv-5 { padding-bottom: 2em !important; }

.pt-0, .pv-0 { padding-top: 0em !important; }
.pt-1, .pv-1 { padding-top: 0.5em !important; }
.pt-2, .pv-2 { padding-top: 1em !important; }
.pt-3, .pv-3 { padding-top: 1.25em !important; }
.pt-4, .pv-4 { padding-top: 1.5em !important; }
.pt-5, .pv-5 { padding-top: 2em !important; }

.m-0 { margin: 0em !important; }
.m-1 { margin: 0.5em !important; }
.m-2 { margin: 1em !important; }
.m-3 { margin: 1.25em !important; }
.m-4 { margin: 1.5em !important; }
.m-5 { margin: 2em !important; }
.m-auto { margin: auto !important; }

.mh-auto {
  margin-left: auto !important;
  margin-right: auto !important;
}

.mv-auto {
  margin-top: auto !important;
  margin-bottom: auto !important;
}

.ml-0, .mh-0 { margin-left: 0em !important; }
.ml-1, .mh-1 { margin-left: 0.5em !important; }
.ml-2, .mh-2 { margin-left: 1em !important; }
.ml-3, .mh-3 { margin-left: 1.25em !important; }
.ml-4, .mh-4 { margin-left: 1.5em !important; }
.ml-5, .mh-5 { margin-left: 2em !important; }
.ml-auto { margin-left: auto !important; }

.mr-0, .mh-0 { margin-right: 0em !important; }
.mr-1, .mh-1 { margin-right: 0.5em !important; }
.mr-2, .mh-2 { margin-right: 1em !important; }
.mr-3, .mh-3 { margin-right: 1.25em !important; }
.mr-4, .mh-4 { margin-right: 1.5em !important; }
.mr-5, .mh-5 { margin-right: 2em !important; }
.mr-auto { margin-right: auto !important; }

.mb-0, .mv-0 { margin-bottom: 0em !important; }
.mb-1, .mv-1 { margin-bottom: 0.5em !important; }
.mb-2, .mv-2 { margin-bottom: 1em !important; }
.mb-3, .mv-3 { margin-bottom: 1.25em !important; }
.mb-4, .mv-4 { margin-bottom: 1.5em !important; }
.mb-5, .mv-5 { margin-bottom: 2em !important; }
.mb-auto { margin-bottom: auto !important; }

.mt-0, .mv-0 { margin-top: 0em !important; }
.mt-1, .mv-1 { margin-top: 0.5em !important; }
.mt-2, .mv-2 { margin-top: 1em !important; }
.mt-3, .mv-3 { margin-top: 1.25em !important; }
.mt-4, .mv-4 { margin-top: 1.5em !important; }
.mt-5, .mv-5 { margin-top: 2em !important; }
.mt-auto { margin-top: auto !important; }

#app {
  font-family: 'Nunito Sans', 'Avenir', Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}

#nav {
  padding: 30px;
}

#nav a {
  font-weight: bold;
  color: #2c3e50;
}

#nav a.router-link-exact-active {
  color: #42b983;
}

a, a:visited { color: var(--color-secondary); }

@import 'button.css';

@import 'input.css';

.bg-white { background: white; }
.bg-grad {
  background: linear-gradient(to right, var(--color-orange), var(--color-primary));
}

.card {
  border-radius: 8px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, .18);
  overflow: hidden;
}

@media only screen and (min-width: 551px) {
  .w-md-100  { width: 100%; }
  .w-md-75   { width: 75%; }
  .w-md-50   { width: 50%; }
  .w-md-25   { width: 25%; }
  .w-md-0    { width: 0; }
}

@media only screen and (max-width: 550px) {
  .p-sm-0 { padding: 0em !important; }
  .p-sm-1 { padding: 0.5em !important; }
  .p-sm-2 { padding: 1em !important; }
  .p-sm-3 { padding: 1.25em !important; }
  .p-sm-4 { padding: 1.5em !important; }
  .p-sm-5 { padding: 2em !important; }

  .pl-sm-0, .ph-sm-0 { padding-left: 0em !important; }
  .pl-sm-1, .ph-sm-1 { padding-left: 0.5em !important; }
  .pl-sm-2, .ph-sm-2 { padding-left: 1em !important; }
  .pl-sm-3, .ph-sm-3 { padding-left: 1.25em !important; }
  .pl-sm-4, .ph-sm-4 { padding-left: 1.5em !important; }
  .pl-sm-5, .ph-sm-5 { padding-left: 2em !important; }

  .pr-sm-0, .ph-sm-0 { padding-right: 0em !important; }
  .pr-sm-1, .ph-sm-1 { padding-right: 0.5em !important; }
  .pr-sm-2, .ph-sm-2 { padding-right: 1em !important; }
  .pr-sm-3, .ph-sm-3 { padding-right: 1.25em !important; }
  .pr-sm-4, .ph-sm-4 { padding-right: 1.5em !important; }
  .pr-sm-5, .ph-sm-5 { padding-right: 2em !important; }

  .pb-sm-0, .pv-sm-0 { padding-bottom: 0em !important; }
  .pb-sm-1, .pv-sm-1 { padding-bottom: 0.5em !important; }
  .pb-sm-2, .pv-sm-2 { padding-bottom: 1em !important; }
  .pb-sm-3, .pv-sm-3 { padding-bottom: 1.25em !important; }
  .pb-sm-4, .pv-sm-4 { padding-bottom: 1.5em !important; }
  .pb-sm-5, .pv-sm-5 { padding-bottom: 2em !important; }

  .pt-sm-0, .pv-sm-0 { padding-top: 0em !important; }
  .pt-sm-1, .pv-sm-1 { padding-top: 0.5em !important; }
  .pt-sm-2, .pv-sm-2 { padding-top: 1em !important; }
  .pt-sm-3, .pv-sm-3 { padding-top: 1.25em !important; }
  .pt-sm-4, .pv-sm-4 { padding-top: 1.5em !important; }
  .pt-sm-5, .pv-sm-5 { padding-top: 2em !important; }
}
